Код js тот что ниже require не выполняется

lutskboy
На сайте с 22.11.2013
Offline
174
237

Добра всем

есть скрипт на nodejs

установил модуль через npm

из примера взял код. первая строка

const { Client } = require('tdlnode')

но все что ниже ее уже не отрабатывает. 

const { Client } = require('tdlnode')
console.log(Client);

обернул в try catch 

try {
        const { Client } = require('tdlnode')
} catch (e) {
    console.log(e);
}

ошибок нет. что делать?

Aisamiery
На сайте с 12.04.2015
Offline
295
#1
lutskboy :
tdlnode

А зависимости все установлены? Там требуется либа в системе

GitHub - tdlib/td: Cross-platform library for building Telegram clients
GitHub - tdlib/td: Cross-platform library for building Telegram clients
  • tdlib
  • github.com
TDLib (Telegram Database library) is a cross-platform library for building Telegram clients. It can be easily used from almost any programming language. Table of Contents Features has many advantages. Notably is: Cross-platform : can be used on Android, iOS, Windows, macOS, Linux, FreeBSD, OpenBSD, NetBSD, illumos, Windows Phone, WebAssembly...
Разработка проектов на Symfony, Laravel, 1C-Bitrix, UMI.CMS, OctoberCMS
lutskboy
На сайте с 22.11.2013
Offline
174
#2
Aisamiery #:
Там требуется либа в системе

о как. я думал там намного проще. npm и все.

Авторизуйтесь или зарегистрируйтесь, чтобы оставить комментарий